from collections import OrderedDict

import setuptools


with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="logyio",
    version="0.1.0-alpha-0",
    author="alexandre menezes",
    author_email="alexandre.fmenezes@gmail.com",
    description="A simple python logging library",
    long_description=long_description,
    long_description_content_type="text/markdown",
    license='Apache-2.0',
    url="https://github.com/amenezes/logyio",
    packages=setuptools.find_packages(),
    python_requires='>=3.6.0',
    project_urls=OrderedDict((
        ('Documentation', 'https://github.com/amenezes/logyio'),
        ('Code', 'https://github.com/amenezes/logyio'),
        ('Issue tracker', 'https://github.com/amenezes/logyio/issues')
    )),
    install_requires=[
        'loguru>=0.3.2'
    ],
    classifiers=[
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Framework :: AsyncIO",
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        "Topic :: System :: Logging",
    ],
)
